Skip to content
payrocdevelopers

Retrieve funding instruction

Browse API reference

GET/funding-instructions/{instructionId}getInstruction

Use this method to retrieve information about a funding instruction.

To retrieve a funding instruction, you need its instructionId. Our gateway returned the instructionId in the response of the Create Funding Instruction method.

Note: If you don't have the instructionId, use our List Funding Instructions method to search for the funding instruction.

Our gateway returns the following information about the funding instruction:

  • Status of the funding instruction.
  • Funding information, including which merchant's funding balance we distribute and the funding account that we send the balance to.

Parameters

NameInTypeDescription
instructionIdRequiredpathinteger

Unique identifier that we assigned to the funding instruction.

Responses

Successful request. Returns the funding instruction.

200 OK · application/json
{
  "createdDate": "2024-07-02T15:30:00Z",
  "instructionId": 64643131,
  "lastModifiedDate": "2024-07-02T15:30:00Z",
  "merchants": [
    {
      "link": {
        "href": "https://api.payroc.com/v1/processing-accounts/4525644354",
        "method": "get",
        "rel": "merchant"
      },
      "merchantId": "4525644354",
      "recipients": [
        {
          "amount": {
            "currency": "USD",
            "value": 120000
          },
          "fundingAccountId": 123,
          "link": {
            "href": "https://api.payroc.com/v1/funding-accounts/123",
            "method": "get",
            "rel": "fundingAccount"
          },
          "metadata": {
            "yourCustomField": "abc123"
          },
          "paymentMethod": "ACH",
          "status": "funded"
        }
      ]
    }
  ],
  "metadata": {
    "yourCustomField": "abc123"
  },
  "status": "completed"
}
Response schema · 18 of 23 fields
  • createdDatestringdatetime
    Date that we created the funding instruction. The date format follows the ISO 8601 standard.
  • instructionIdinteger
    Unique identifier that we assigned to the funding instruction.
  • lastModifiedDatestringdatetime
    Date of the most recent change to the funding instruction. The date format follows the ISO 8601 standard.
  • merchantsobject[]
    Array of merchants objects. Each object specifies the merchant whose funding balance we distribute and who you want to send the funds to.
    • linkobject
      Object that contains HATEOAS links for the resource.
      • hrefstring
        URL of the target resource.
      • methodstring
        HTTP method that you need to use with the target resource.
      • relstring
        Indicates the relationship between the current resource and the target resource.
    • merchantIdstringrequired
      Unique identifier that the processor assigned to the merchant.
    • recipientsobject[]required
      Array of recipients objects. Each object contains information about the funding account and the amount of funds we send to the funding account.≥ 1 items
      • amountobjectrequired
        Object that contains information about the funds that we send to the funding account.+2 more fields at deeper levels — see the full spec
      • fundingAccountIdintegerrequired
        Unique identifier that we assigned to the funding account.
      • linkobject
        Object that contains HATEOAS links for the resource.+3 more fields at deeper levels — see the full spec
      • metadataobject
        Metadata object you can use to include custom data with your request.
      • paymentMethodstringrequired
        Payment method that we use to send funds to the funding account.ACH
      • statusstring
        Status of the individual payment instruction. Our gateway returns one of the following values: accepted We received the payment instruction, but we haven't reviewed it. pending We are reviewing the payment instruction. released We approved the payment instruction. funded We sent the funds to the funding account by ACH. failed The ACH payment to the funding account failed. rejected We reviewed the payment instruction and rejected it. onHold We have placed the payment instruction on hold.acceptedpendingreleasedfundedfailedrejectedonHold
  • metadataobject
    Metadata object you can use to include custom data with your request.
  • statusstring
    Status of the funding instruction. Our gateway returns one of the following values: accepted We have received the funding instruction but have not yet reviewed it. pending We have received the funding instruction and we are reviewing it. completed We have reviewed and processed the funding instruction.acceptedpendingcompleted

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer